@import url("./global-config.css");

:root {
  --primary: rgb(68, 190, 8);
  --secondary: rgb(197, 30, 47);
  --tertiary: rgb(85, 149, 84);
  --success: rgb(3, 176, 1);
  --selected: rgb(206, 168, 102);
  --hint: rgb(254, 190, 45);
  --failure: rgb(255, 38, 92);
  --text: rgb(211, 222, 196);
  --text2: rgb(255, 255, 255);
  --text3: rgb(255, 255, 255);
  --text4: rgb(46, 44, 39);
  --text5: rgb(255, 255, 255);
  --textBtn: rgb(255, 255, 255);
  --border: rgb(54, 65, 46);
  --background1: rgb(7, 21, 0);
  --background2: rgb(18, 13, 5);
  --background3: rgb(1, 38, 0);
  --background4: rgb(33, 234, 0);
  --background5: rgb(32, 40, 33);
  --background1_v: 7, 21, 0;
  --background2_v: 18, 13, 5;
  --background3_v: 1, 38, 0;
  --background4_v: 33, 234, 0;
  --background5_v: 32, 40, 33;
  --background-card: #202821;
  --blur-color: rgba(144, 255, 60, 0.5);
  --font-size: 14px;
  --dialog-color: rgb(103, 194, 58, 1);
  --background-btn-dialog: linear-gradient(180deg, rgba(141, 225, 102, 1) 0%, rgba(103, 194, 58, 1) 100%);
  --primary-filter: brightness(0) saturate(100%) invert(81%) sepia(46%) saturate(4951%) hue-rotate(49deg) brightness(96%) contrast(104%);
  --text5-filter: brightness(0) saturate(100%) invert(100%) sepia(100%) saturate(723%) hue-rotate(190deg) brightness(110%) contrast(101%);
  --secondary-filter: brightness(0) saturate(100%) invert(19%) sepia(91%) saturate(2345%) hue-rotate(338deg) brightness(90%) contrast(100%);

}

@media screen and (min-width: 2000px) {
  :root {
    --banner-height: 478px;
  }
}

@media screen and (min-width: 2200px) {
  :root {
    --banner-height: 525px;
  }
}

/* width */
::-webkit-scrollbar {
  width: 2px;
  height: 2px;
  border-radius: 1px;
}

/* Track */
::-webkit-scrollbar-track {
  background: rgba(0, 0, 0, 0.3);
}

/* Handle */
/* ::-webkit-scrollbar-thumb {
  background: #888;
} */

/* Handle on hover */
::-webkit-scrollbar-thumb:hover {
  background: #555;
}

[layout="global"] {
  --bg-opacity: 0;
  --bg-base-color: var(--primary);

  --bo-t: 0;
  --bo-l: 0;
  --bo-w: 100%;
  --bo-h: 2px;
  --bo-z: 1;
  --bo-opacity: 0;
  --bo-base-color: var(--border);
}

.ol-bg-dark {
  background: linear-gradient(0deg,
      rgba(0, 0, 0, var(--bg-opacity)) 0%,
      rgba(0, 0, 0, var(--bg-opacity)) 100%),
    var(--bg-base-color);
}

.ol-bg-light {
  background: linear-gradient(0deg,
      rgba(255, 255, 255, var(--bg-opacity)) 0%,
      rgba(255, 255, 255, var(--bg-opacity)) 100%),
    var(--bg-base-color);
}

.ol-bo-dark {
  position: relative;
}

.ol-bo-dark::after {
  content: "";
  position: absolute;
  width: var(--bo-w);
  height: var(--bo-h);
  top: var(--bo-t);
  left: var(--bo-l);
  z-index: var(--bo-z);
  background: linear-gradient(0deg,
      rgba(0, 0, 0, var(--bo-opacity)) 0%,
      rgba(0, 0, 0, var(--bo-opacity)) 100%),
    var(--bo-base-color);
}

.ol-bo-light {
  position: relative;
}

.ol-bo-light::after {
  content: "";
  position: absolute;
  width: var(--bo-w);
  height: var(--bo-h);
  top: var(--bo-t);
  left: var(--bo-l);
  z-index: var(--bo-z);
  background: linear-gradient(0deg,
      rgba(255, 255, 255, var(--bo-opacity)) 0%,
      rgba(255, 255, 255, var(--bo-opacity)) 100%),
    var(--bo-base-color);
}